%define name gv
%define version 3.5.8
%define release 11mdk

Summary: An enhanced front-end for the ghostscript PostScript(TM) interpreter.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Publishing
Requires: ghostscript
Source0: ftp://thep.physik.uni-mainz.de/pub/gv/unix/%{name}-%{version}.tar.bz2
Source1: gv-3.5.8-wmconfig
Source2: gv.xpm
Patch0: gv-3.5.8-config.patch.bz2
Patch1: gv-3.5.8-alias.patch.bz2
Url: http://wwwthep.physik.uni-mainz.de/~plass/gv/
Obsoletes: ghostview
BuildRoot: /var/tmp/%{name}-root

%description
Gv provides a user interface for the ghostscript PostScript(TM)
interpreter.  Derived from the ghostview program, gv can display
PostScript and PDF documents using the X Window System.  

Install the gv package if you'd like to view PostScript and PDF documents
on your system.  You'll also need to have the ghostscript package
installed, as well as the X Window System.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .alias

%build
xmkmf
make Makefiles
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini

make DESTDIR=$RPM_BUILD_ROOT install install.man
gunzip doc/*gz
install -m 0644 $RPM_SOURCE_DIR/gv-3.5.8-wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/gv
install -m 0644 $RPM_SOURCE_DIR/gv.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/gv.xpm
ln -sf gv $RPM_BUILD_ROOT/usr/X11R6/bin/ghostview

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat <<EOF >$RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):command="gv" \
		  icon="gv.xpm" \
		  needs="x11" \
		  section="Applications/Publishing" \
		  title="gv" \
		  longtitle="GhostView"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi

%files
%defattr(-,root,root)
%doc README CHANGES COPYING doc/*.html doc/*doc doc/*txt
%config /etc/X11/wmconfig/gv
/usr/X11R6/bin/gv
/usr/X11R6/lib/X11/gv
/usr/X11R6/lib/X11/app-defaults/GV
/usr/X11R6/man/man1/gv.*
/usr/X11R6/bin/ghostview
/usr/lib/menu/gv
/usr/share/icons/mini/gv.xpm

%changelog
* Tue Apr 11 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-11mdk
- added menu entry and icon.

* Fri Apr 07 2000 Franois Pons <fpons@mandrakesoft.com> 3.5.8-10mdk
- Updated Group.

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- fixed bug #272, changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installin a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.
